--- old/usr/src/boot/sys/boot/efi/boot1/Makefile	2016-09-30 23:45:56.734099882 +0100
+++ new/usr/src/boot/sys/boot/efi/boot1/Makefile	2016-09-30 23:45:56.738519491 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -66,7 +67,10 @@
 LDFLAGS +=	-shared --hash-style=both --enable-new-dtags
 LDFLAGS +=	-T${LDSCRIPT} -Bsymbolic
 
-all: machine x86 boot1.efi
+all: boot1.efi
+
+boot1.efi: machine x86
+
 install: all $(ROOTBOOTFILES)
 
 #
--- old/usr/src/boot/sys/boot/efi/libefi/Makefile	2016-09-30 23:45:56.867354851 +0100
+++ new/usr/src/boot/sys/boot/efi/libefi/Makefile	2016-09-30 23:45:56.874356820 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -19,7 +20,10 @@
 
 LIB=	efi
 
-all:	machine x86 lib$(LIB).a
+all:	lib$(LIB).a
+
+lib$(LIB).a: machine x86
+
 install:
 
 SRCS=	delay.c efi_console.c efinet.c efipart.c errno.c handles.c \
--- old/usr/src/boot/sys/boot/efi/loader/Makefile	2016-09-30 23:45:56.999414746 +0100
+++ new/usr/src/boot/sys/boot/efi/loader/Makefile	2016-09-30 23:45:57.003917926 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -88,7 +89,10 @@
 
 NEWVERSWHAT=	"EFI loader" ${MACHINE}
 
-all: machine x86 loader.efi
+all: loader.efi
+
+loader.efi: machine x86
+
 install: all $(ROOTBOOTFILES)
 
 vers.c:	../../common/newvers.sh ../../efi/loader/version
--- old/usr/src/boot/sys/boot/ficl/Makefile.inc	2016-09-30 23:45:57.129270501 +0100
+++ new/usr/src/boot/sys/boot/ficl/Makefile.inc	2016-09-30 23:45:57.136210008 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 
@@ -36,7 +37,9 @@
 MAJOR = 4
 MINOR = 1.0
 
-lib: machine x86 libficl.a
+lib: libficl.a
+
+libficl.a: machine x86
 
 # static library build
 libficl.a: $(OBJECTS)
--- old/usr/src/boot/sys/boot/i386/Makefile	2016-09-30 23:45:57.261014506 +0100
+++ new/usr/src/boot/sys/boot/i386/Makefile	2016-09-30 23:45:57.265175813 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -20,7 +21,10 @@
 # SUBDIRS=	boot0 boot0sio kgzldr libfirewire 
 # current targets
 SUBDIRS=	pmbr btx cdboot gptzfsboot libi386 loader pxeldr
-INSTDIRS=	pmbr cdboot gptzfsboot loader pxeldr
+
+# these subdirs depend on crt0.o which is built in the btx
+# subdir.
+CRTDIRS=	gptzfsboot loader
 
 all:=		TARGET= all
 install:=	TARGET= install
@@ -31,7 +35,9 @@
 
 all clean clobber: $(SUBDIRS)
 
-install: all $(INSTDIRS)
+$(CRTDIRS): btx
+
+install: $(SUBDIRS)
 
 FRC:
 
--- old/usr/src/boot/sys/boot/i386/btx/btx/Makefile	2016-09-30 23:45:57.388603230 +0100
+++ new/usr/src/boot/sys/boot/i386/btx/btx/Makefile	2016-09-30 23:45:57.395731087 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -50,6 +51,8 @@
 
 all:	$(PROG)
 
+install: all
+
 $(PROG): $(OBJS)
 	$(LD) $(LDFLAGS) -o $@ $(OBJS)
 
--- old/usr/src/boot/sys/boot/i386/btx/btxldr/Makefile	2016-09-30 23:45:57.513248500 +0100
+++ new/usr/src/boot/sys/boot/i386/btx/btxldr/Makefile	2016-09-30 23:45:57.520092975 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -40,6 +41,8 @@
 
 all:	$(PROG)
 
+install: all
+
 clobber: clean
 
 clean:
--- old/usr/src/boot/sys/boot/i386/btx/lib/Makefile	2016-09-30 23:45:57.637017636 +0100
+++ new/usr/src/boot/sys/boot/i386/btx/lib/Makefile	2016-09-30 23:45:57.643757227 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -33,6 +34,8 @@
 
 all: $(PROG)
 
+install: all
+
 $(PROG): $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS)
 
--- old/usr/src/boot/sys/boot/i386/gptzfsboot/Makefile	2016-09-30 23:45:57.760738772 +0100
+++ new/usr/src/boot/sys/boot/i386/gptzfsboot/Makefile	2016-09-30 23:45:57.767586530 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 #
@@ -73,7 +74,9 @@
 
 .PARALLEL:
 
-all: machine x86 $(PROG)
+all: $(PROG)
+
+$(PROG): machine x86
 
 install: all $(ROOTBOOTPROG)
 
--- old/usr/src/boot/sys/boot/i386/libi386/Makefile	2016-09-30 23:45:57.884872192 +0100
+++ new/usr/src/boot/sys/boot/i386/libi386/Makefile	2016-09-30 23:45:57.891823327 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -19,7 +20,11 @@
 CFLAGS += -DLOADER_ZFS_SUPPORT
 CPPFLAGS=
 
-all: machine x86 libi386.a
+all: libi386.a
+
+libi386.a: machine x86
+
+install: all
 
 clean: clobber
 clobber:
--- old/usr/src/boot/sys/boot/i386/loader/Makefile	2016-09-30 23:45:58.011741089 +0100
+++ new/usr/src/boot/sys/boot/i386/loader/Makefile	2016-09-30 23:45:58.018802443 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -42,7 +43,9 @@
 ROOTBOOTDEFAULTS=$(DEFFILES:%=$(ROOT_BOOT_DEFAULTS)/%)
 FILEMODE=0444
 
-all: machine x86 ${LOADER} loader.help
+all: ${LOADER} loader.help
+
+${LOADER}: machine x86
 
 install: all $(ROOTBOOTLOADER)
 
--- old/usr/src/boot/sys/boot/zfs/Makefile.com	2016-09-30 23:45:58.136288160 +0100
+++ new/usr/src/boot/sys/boot/zfs/Makefile.com	2016-09-30 23:45:58.142911066 +0100
@@ -11,13 +11,17 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
 
 LIB=		zfsboot
 
-all: machine x86 libzfsboot.a
+all: libzfsboot.a
+
+libzfsboot.a: machine x86
+
 clean: clobber
 
 clobber:
